Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMAxis.JSMPlotLines

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMAxis.JSMPlotLines

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Axis.PlotLines

Enclosing class:
  JSMAxis

    public static class JSMAxis.JSMPlotLines

extends JSMBaseObject
implements Axis.PlotLines

Nested Class Summary
`static class` | `JSMAxis.JSMPlotLines.JSMLabel`

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.Axis.PlotLines
`Axis.PlotLines.Label`

Field Summary
`java.lang.String` | `color`
`java.lang.String` | `dashStyle`
`java.lang.String` | `id`
`Axis.PlotLines.Label` | `label`
`double` | `value`
`int` | `width`
`int` | `zindex`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMAxis.JSMPlotLines()`

Method Summary
`java.lang.String` | `getColor()`
`java.lang.String` | `getDashStyle()`
`java.lang.String` | `getId()`
`Axis.PlotLines.Label` | `getLabel()`
`double` | `getValue()`
`int` | `getWidth()`
`int` | `getZIndex()`
`Axis.PlotLines` | `setColor(java.lang.String color)`
`Axis.PlotLines` | `setDashStyle(java.lang.String dashStyle)`
`Axis.PlotLines` | `setId(java.lang.String id)`
`Axis.PlotLines` | `setLabel(Axis.PlotLines.Label label)`
`Axis.PlotLines` | `setValue(double value)`
`Axis.PlotLines` | `setWidth(int width)`
`Axis.PlotLines` | `setZIndex(int zindex)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zindex

    public int zindex

### width

    public int width

### value

    public double value

### id

    public java.lang.String id

### color

    public java.lang.String color

### dashStyle

    public java.lang.String dashStyle

### label

    public Axis.PlotLines.Label label

Constructor Detail

### JSMAxis.JSMPlotLines

    public JSMAxis.JSMPlotLines()

Method Detail

### setLabel

    public Axis.PlotLines setLabel(Axis.PlotLines.Label label)

  Specified by:
    `setLabel` in interface `Axis.PlotLines`

### getLabel

    public Axis.PlotLines.Label getLabel()

  Specified by:
    `getLabel` in interface `Axis.PlotLines`

### setColor

    public Axis.PlotLines setColor(java.lang.String color)

  Specified by:
    `setColor` in interface `Axis.PlotLines`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `Axis.PlotLines`

### setDashStyle

    public Axis.PlotLines setDashStyle(java.lang.String dashStyle)

  Specified by:
    `setDashStyle` in interface `Axis.PlotLines`

### getDashStyle

    public java.lang.String getDashStyle()

  Specified by:
    `getDashStyle` in interface `Axis.PlotLines`

### setId

    public Axis.PlotLines setId(java.lang.String id)

  Specified by:
    `setId` in interface `Axis.PlotLines`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Axis.PlotLines`

### setValue

    public Axis.PlotLines setValue(double value)

  Specified by:
    `setValue` in interface `Axis.PlotLines`

### getValue

    public double getValue()

  Specified by:
    `getValue` in interface `Axis.PlotLines`

### setWidth

    public Axis.PlotLines setWidth(int width)

  Specified by:
    `setWidth` in interface `Axis.PlotLines`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `Axis.PlotLines`

### setZIndex

    public Axis.PlotLines setZIndex(int zindex)

  Specified by:
    `setZIndex` in interface `Axis.PlotLines`

### getZIndex

    public int getZIndex()

  Specified by:
    `getZIndex` in interface `Axis.PlotLines`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD